- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/placements/list#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/placements/list#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/placements/list#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/placements/list#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/placements/list#body.response_body)
  - [JSON representation](https://developers.google.com/doubleclick-advertisers/rest/v5/placements/list#body.PlacementsListResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/placements/list#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/placements/list#try-it)

Retrieves a list of placements, possibly filtered. This method supports [paging](https://developers.google.com/doubleclick-advertisers/trafficking_tasks#list).

### HTTP request

`GET https://dfareporting.googleapis.com/dfareporting/v5/userprofiles/{profileId}/placements`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `profileId` | `string (https://developers.google.com/discovery/v1/type-format format)` User profile ID associated with this request. |

### Query parameters

| Parameters ||
|---|---|
| `ids[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements with these IDs. |
| `advertiserIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements that belong to these advertisers. |
| `campaignIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements that belong to these campaigns. |
| `siteIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements that are associated with these sites. |
| `directorySiteIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements that are associated with these directory sites. |
| `placementStrategyIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements that are associated with these placement strategies. |
| `contentCategoryIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements that are associated with these content categories. |
| `compatibilities[]` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/Compatibility`)`` Select only placements that are associated with these compatibilities. `DISPLAY` and `DISPLAY_INTERSTITIAL` refer to rendering either on desktop or on mobile devices for regular or interstitial ads respectively. `APP` and `APP_INTERSTITIAL` are for rendering in mobile apps. IN_STREAM_VIDEO refers to rendering in in-stream video ads developed with the [VAST](https://www.iab.net/vast) standard. |
| `sizeIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements that are associated with these sizes. |
| `pricingTypes[]` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/PricingSchedule#PlacementPricingType`)`` Select only placements with these pricing types. |
| `groupIds[]` | `string (https://developers.google.com/discovery/v1/type-format format)` Select only placements that belong to these placement groups. |
| `paymentSource` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/placements#PaymentSource`)`` Select only placements with this payment source. |
| `searchString` | `string` Allows searching for placements by name or ID. Wildcards (`*`) are allowed. For example, `"placement*2015"` will return placements with names like `"placement June 2015"`, `"placement May 2015"`, or simply `"placements 2015"`. Most of the searches also add wildcards implicitly at the start and the end of the search string. For example, a search string of `"placement"` will match placements with name `"my placement"`, `"placement 2015"`, or simply `"placement"`. |
| `maxEndDate` | `string` Select only placements or placement groups whose end date is on or before the specified `maxEndDate`. The date should be formatted as "yyyy-MM-dd". |
| `maxResults` | `integer` Maximum number of results to return. |
| `activeStatus[]` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/PlacementActiveStatus`)`` Select only placements with these active statuses. |
| `maxStartDate` | `string` Select only placements or placement groups whose start date is on or before the specified `maxStartDate`. The date should be formatted as "yyyy-MM-dd". |
| `minEndDate` | `string` Select only placements or placement groups whose end date is on or after the specified `minEndDate`. The date should be formatted as "yyyy-MM-dd". |
| `minStartDate` | `string` Select only placements or placement groups whose start date is on or after the specified `minStartDate`. The date should be formatted as "yyyy-MM-dd". |
| `pageToken` | `string` Value of the `nextPageToken` from the previous result page. |
| `sortField` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortField`)`` Field by which to sort the list. |
| `sortOrder` | ``enum (`https://developers.google.com/doubleclick-advertisers/rest/v5/SortOrder`)`` Order of sorted results. |

### Request body

The request body must be empty.

### Response body

Placement placements.list Response

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "nextPageToken": string, "placements": [ { object (`https://developers.google.com/doubleclick-advertisers/rest/v5/placements#Placement`) } ] } ``` |

| Fields ||
|---|---|
| `kind` | `string` Identifies what kind of resource this is. Value: the fixed string `"dfareporting#placementsListResponse"`. |
| `nextPageToken` | `string` Pagination token to be used for the next list operation. |
| `placements[]` | ``object (`https://developers.google.com/doubleclick-advertisers/rest/v5/placements#Placement`)`` Placement collection. |

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`